# autoreplace_base.h File Reference

Base class for autoreplaces/autorenews. More...

`#include "oldpool.h"`
`#include "autoreplace_type.h"`

Go to the source code of this file.

## Data Structures
struct | EngineRenew
| Memory pool for engine renew elements. More...
## Defines
#define | FOR_ALL_ENGINE_RENEWS_FROM(er, start) for (er = GetEngineRenew(start); er != NULL; er = (er->index + 1U < GetEngineRenewPoolSize()) ? GetEngineRenew(er->index + 1U) : NULL) if (er->IsValid())
#define | FOR_ALL_ENGINE_RENEWS(er) FOR_ALL_ENGINE_RENEWS_FROM(er, 0)
## Typedefs
typedef uint16 | EngineRenewID

## Detailed Description

Base class for autoreplaces/autorenews.

Definition in file autoreplace_base.h.